## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMServices Class Reference

`#include <DOMServices.hpp>`

Collaboration diagram for DOMServices:

[legend]
List of all members.

## Public Types

- typedef void (FormatterListener::* MemberFunctionPtr )(const XMLCh *const, const unsigned int)

## Static Public Methods

- void initialize ()
    Initialize static data. More...
- void terminate ()
    Destroy static data. More...
- XalanDOMString getNodeData (const XalanNode &node)
    Retrieves data for node. More...
- void getNodeData (const XalanNode &node, XalanDOMString &data)
    Retrieves data for node. More...
- XalanDOMString getNodeData (const XalanAttr &attribute)
    Retrieves data for node. More...
- void getNodeData (const XalanAttr &attribute, XalanDOMString &data)
    Retrieves data for node. More...
- XalanDOMString getNodeData (const XalanComment &comment)
    Retrieves data for node. More...
- void getNodeData (const XalanComment &comment, XalanDOMString &data)
    Retrieves data for node. More...
- XalanDOMString getNodeData (const XalanDocument &document)
    Retrieves data for node. More...
- void getNodeData (const XalanDocument &document, XalanDOMString &data)
    Retrieves data for node. More...
- XalanDOMString getNodeData (const XalanDocumentFragment &documentFragment)
    Retrieves data for node. More...
- void getNodeData (const XalanDocumentFragment &documentFragment, XalanDOMString &data)
    Retrieves data for node. More...
- XalanDOMString getNodeData (const XalanElement &element)
    Retrieves data for node. More...
- void getNodeData (const XalanElement &element, XalanDOMString &data)
    Retrieves data for node. More...
- XalanDOMString getNodeData (const XalanProcessingInstruction &pi)
    Retrieves data for node. More...
- void getNodeData (const XalanProcessingInstruction &pi, XalanDOMString &data)
    Retrieves data for node. More...
- XalanDOMString getNodeData (const XalanText &text)
    Retrieves data for node. More...
- void getNodeData (const XalanText &text, XalanDOMString &data)
    Retrieves data for node. More...
- void getNodeData (const XalanNode &node, FormatterListener &formatterListener, MemberFunctionPtr function)
    Sends the data for a node to a FormatterListener. More...
- void getNodeData (const XalanAttr &attribute, FormatterListener &formatterListener, MemberFunctionPtr function)
    Sends the data for a node to a FormatterListener. More...
- void getNodeData (const XalanComment &comment, FormatterListener &formatterListener, MemberFunctionPtr function)
    Sends the data for a node to a FormatterListener. More...
- void getNodeData (const XalanDocument &document, FormatterListener &formatterListener, MemberFunctionPtr function)
    Sends the data for a node to a FormatterListener. More...
- void getNodeData (const XalanDocumentFragment &documentFragment, FormatterListener &formatterListener, MemberFunctionPtr function)
    Sends the data for a node to a FormatterListener. More...
- void getNodeData (const XalanElement &element, FormatterListener &formatterListener, MemberFunctionPtr function)
    Sends the data for a node to a FormatterListener. More...
- void getNodeData (const XalanProcessingInstruction &pi, FormatterListener &formatterListener, MemberFunctionPtr function)
    Sends the data for a node to a FormatterListener. More...
- void getNodeData (const XalanText &text, FormatterListener &formatterListener, MemberFunctionPtr function)
    Sends the data for a node to a FormatterListener. More...
- const XalanDOMString& getNameOfNode (const XalanNode &n)
    Retrieve the name of the node, taking into account the differences between the DOM and XSLT data models. More...
- const XalanDOMString& getNameOfNode (const XalanAttr &attr)
    Retrieve the name of the node, taking into account the differences between the DOM and XSLT data models. More...
- const XalanDOMString& getNameOfNode (const XalanElement &element)
    Retrieve the name of the node, taking into account the differences between the DOM and XSLT data models. More...
- const XalanDOMString& getLocalNameOfNode (const XalanNode &n)
    Retrieve local name of node, taking into account the differences between the DOM and XSLT data models. More...
- const XalanDOMString& getNamespaceOfNode (const XalanNode &n)
    Retrieve the namespace of the node, taking into account the differences between the DOM and XSLT data models. More...
- bool isNamespaceDeclaration (const XalanAttr &n)
    Determine whether or not an attribute node is declaring a namespace. More...
- XalanNode* getParentOfNode (const XalanNode &node)
    Retrieve the parent of a node. More...
- const XalanDOMString* getNamespaceForPrefix (const XalanDOMString &prefix, const XalanElement &namespaceContext)
    Retrieve the URI corresponding to a namespace prefix. More...
- bool isNodeAfter (const XalanNode &node1, const XalanNode &node2)
    Determine if a node is after another node, in document order. More...
- bool isNodeAfterSibling (const XalanNode &parent, const XalanNode &child1, const XalanNode &child2)
    Determine if a node is after another node in the sibling list. More...

## Static Public Attributes

- const XalanDOMString& s_XMLString
- const XalanDOMString& s_XMLStringWithSeparator
- const XalanDOMString& s_XMLNamespacePrefix
- const XalanDOMString& s_XMLNamespaceURI
- const XalanDOMString& s_XMLNamespace
- const XalanDOMString& s_XMLNamespaceWithSeparator
- const XalanDOMString& s_XMLNamespaceSeparatorString
- const XalanDOMString& s_XMLNamespacePrefixURI
- const XalanDOMString::size_type& s_XMLStringLength
- const XalanDOMString::size_type& s_XMLStringWithSeparatorLength
- const XalanDOMString::size_type& s_XMLNamespacePrefixLength
- const XalanDOMString::size_type& s_XMLNamespaceURILength
- const XalanDOMString::size_type& s_XMLNamespaceLength
- const XalanDOMString::size_type& s_XMLNamespaceWithSeparatorLength
- const XalanDOMString::size_type& s_XMLNamespaceSeparatorStringLength
- const XalanDOMString::size_type& s_XMLNamespacePrefixURILength
- const XalanDOMString s_emptyString

## Member Typedef Documentation

typedef void(FormatterListener::* DOMServices::MemberFunctionPtr)(const XMLCh *const, const unsigned int)

## Member Function Documentation

const XalanDOMString & DOMServices::getLocalNameOfNode ( | const XalanNode & n )`[static]`

  | Retrieve local name of node, taking into account the differences between the DOM and XSLT data models. Parameters:
  node | DOM node whose name is returned
Returns: name of node without namespace

const XalanDOMString & DOMServices::getNameOfNode ( | const XalanElement & element )`[static]`

  | Retrieve the name of the node, taking into account the differences between the DOM and XSLT data models. Parameters:
  attr | DOM element node whose name is returned
Returns: name of the node

const XalanDOMString & DOMServices::getNameOfNode ( | const XalanAttr & attr )`[static]`

  | Retrieve the name of the node, taking into account the differences between the DOM and XSLT data models. Parameters:
  attr | DOM attribute node whose name is returned
Returns: name of the node

const XalanDOMString & DOMServices::getNameOfNode ( | const XalanNode & n )`[static]`

  | Retrieve the name of the node, taking into account the differences between the DOM and XSLT data models. Parameters:
  node | DOM node whose name is returned
Returns: name of the node

const XalanDOMString * DOMServices::getNamespaceForPrefix ( | const XalanDOMString & prefix,
| const XalanElement & namespaceContext )`[static]`

  | Retrieve the URI corresponding to a namespace prefix. Parameters:
  prefix | prefix for a namespace
  namespaceContext | DOM element representing the context for namespace
Returns: URI corresponding to namespace

const XalanDOMString & DOMServices::getNamespaceOfNode ( | const XalanNode & n )`[static]`

  | Retrieve the namespace of the node, taking into account the differences between the DOM and XSLT data models. Parameters:
  node | DOM node whose namespace is returned
Returns: namespace of the node

void DOMServices::getNodeData ( | const XalanText & text,
| FormatterListener & formatterListener,
| MemberFunctionPtr function )`[static]`

  | Sends the data for a node to a FormatterListener. Parameters:
  node | DOM node whose data is to be returned
  formatterListener | the FormatterListener instance to receive the data
  fRaw | Whether or not the data should be sent raw.

void DOMServices::getNodeData ( | const XalanProcessingInstruction & pi,
| FormatterListener & formatterListener,
| MemberFunctionPtr function )`[static]`

  | Sends the data for a node to a FormatterListener. Parameters:
  pi | DOM node whose data is to be returned
  formatterListener | the FormatterListener instance to receive the data
  fRaw | Whether or not the data should be sent raw.

void DOMServices::getNodeData ( | const XalanElement & element,
| FormatterListener & formatterListener,
| MemberFunctionPtr function )`[static]`

  | Sends the data for a node to a FormatterListener. Parameters:
  element | DOM node whose data is to be returned
  formatterListener | the FormatterListener instance to receive the data
  fRaw | Whether or not the data should be sent raw.

void DOMServices::getNodeData ( | const XalanDocumentFragment & documentFragment,
| FormatterListener & formatterListener,
| MemberFunctionPtr function )`[static]`

  | Sends the data for a node to a FormatterListener. Parameters:
  documentFragment | DOM node whose data is to be sent
  formatterListener | the FormatterListener instance to receive the data
  fRaw | Whether or not the data should be sent raw.

void DOMServices::getNodeData ( | const XalanDocument & document,
| FormatterListener & formatterListener,
| MemberFunctionPtr function )`[static]`

  | Sends the data for a node to a FormatterListener. Parameters:
  document | DOM node whose data is to be returned
  formatterListener | the FormatterListener instance to receive the data
  fRaw | Whether or not the data should be sent raw.

void DOMServices::getNodeData ( | const XalanComment & comment,
| FormatterListener & formatterListener,
| MemberFunctionPtr function )`[static]`

  | Sends the data for a node to a FormatterListener. Parameters:
  comment | DOM node whose data is to be returned
  formatterListener | the FormatterListener instance to receive the data
  fRaw | Whether or not the data should be sent raw.

void DOMServices::getNodeData ( | const XalanAttr & attribute,
| FormatterListener & formatterListener,
| MemberFunctionPtr function )`[static]`

  | Sends the data for a node to a FormatterListener. Parameters:
  attribute | DOM node whose data is to be returned
  formatterListener | the FormatterListener instance to receive the data
  fRaw | Whether or not the data should be sent raw.

void DOMServices::getNodeData ( | const XalanNode & node,
| FormatterListener & formatterListener,
| MemberFunctionPtr function )`[static]`

  | Sends the data for a node to a FormatterListener. Parameters:
  node | DOM node whose data is to be returned
  formatterListener | the FormatterListener instance to receive the data
  function | A pointer to the member function of FormatterListener to call

void DOMServices::getNodeData ( | const XalanText & text,
| XalanDOMString & data )`[static]`

  | Retrieves data for node. Parameters:
  node | DOM node whose data is to be returned
  data | a string to which the node's data will be appended

XalanDOMString DOMServices::getNodeData ( | const XalanText & text )`[static]`

  | Retrieves data for node. Parameters:
  node | DOM node whose data is to be returned
Returns: a string representation of the node's data

void DOMServices::getNodeData ( | const XalanProcessingInstruction & pi,
| XalanDOMString & data )`[static]`

  | Retrieves data for node. Parameters:
  pi | DOM node whose data is to be returned
  data | a string to which the node's data will be appended

XalanDOMString DOMServices::getNodeData ( | const XalanProcessingInstruction & pi )`[static]`

  | Retrieves data for node. Parameters:
  pi | DOM node whose data is to be returned
Returns: a string representation of the node's data

void DOMServices::getNodeData ( | const XalanElement & element,
| XalanDOMString & data )`[static]`

  | Retrieves data for node. Parameters:
  element | DOM node whose data is to be returned
  data | a string to which the node's data will be appended

XalanDOMString DOMServices::getNodeData ( | const XalanElement & element )`[static]`

  | Retrieves data for node. Parameters:
  element | DOM node whose data is to be returned
Returns: a string representation of the node's data

void DOMServices::getNodeData ( | const XalanDocumentFragment & documentFragment,
| XalanDOMString & data )`[static]`

  | Retrieves data for node. Parameters:
  documentFragment | DOM node whose data is to be returned
  data | a string to which the node's data will be appended

XalanDOMString DOMServices::getNodeData ( | const XalanDocumentFragment & documentFragment )`[static]`

  | Retrieves data for node. Parameters:
  documentFragment | DOM node whose data is to be returned
Returns: a string representation of the node's data

void DOMServices::getNodeData ( | const XalanDocument & document,
| XalanDOMString & data )`[static]`

  | Retrieves data for node. Parameters:
  document | DOM node whose data is to be returned
  data | a string to which the node's data will be appended

XalanDOMString DOMServices::getNodeData ( | const XalanDocument & document )`[static]`

  | Retrieves data for node. Parameters:
  document | DOM node whose data is to be returned
Returns: a string representation of the node's data

void DOMServices::getNodeData ( | const XalanComment & comment,
| XalanDOMString & data )`[static]`

  | Retrieves data for node. Parameters:
  comment | DOM node whose data is to be returned
  data | a string to which the node's data will be appended

XalanDOMString DOMServices::getNodeData ( | const XalanComment & comment )`[static]`

  | Retrieves data for node. Parameters:
  comment | DOM node whose data is to be returned
Returns: a string representation of the node's data

void DOMServices::getNodeData ( | const XalanAttr & attribute,
| XalanDOMString & data )`[static]`

  | Retrieves data for node. Parameters:
  attribute | DOM node whose data is to be returned
  data | a string to which the node's data will be appended

XalanDOMString DOMServices::getNodeData ( | const XalanAttr & attribute )`[static]`

  | Retrieves data for node. Parameters:
  attribute | DOM node whose data is to be returned
Returns: a string representation of the node's data

void DOMServices::getNodeData ( | const XalanNode & node,
| XalanDOMString & data )`[static]`

  | Retrieves data for node. Parameters:
  node | DOM node whose data is to be returned
  data | a string to which the node's data will be appended

XalanDOMString DOMServices::getNodeData ( | const XalanNode & node )`[static]`

  | Retrieves data for node. Parameters:
  node | DOM node whose data is to be returned
Returns: a string representation of the node's data

XalanNode * DOMServices::getParentOfNode ( | const XalanNode & node )`[static]`

  | Retrieve the parent of a node. This function has to be implemented, because the DOM WG decided that attributes don't have parents. Parameters:
  node | child node
Returns: parent node

void DOMServices::initialize ( | )`[static]`

| Initialize static data. Must be called before any other functions are called.

bool DOMServices::isNamespaceDeclaration ( | const XalanAttr & n )`[static]`

  | Determine whether or not an attribute node is declaring a namespace. Parameters:
  node | DOM node to check
Returns: true if the attribute is declaring a namespace, false if not.

bool DOMServices::isNodeAfter ( | const XalanNode & node1,
| const XalanNode & node2 )`[static]`

  | Determine if a node is after another node, in document order. Parameters:
  node1 | The first node
  node2 | The second node
Returns: true if node1 one is after node2, or false if it is not.

bool DOMServices::isNodeAfterSibling ( | const XalanNode & parent,
| const XalanNode & child1,
| const XalanNode & child2 )`[static]`

  | Determine if a node is after another node in the sibling list. Parameters:
  parent | The parent of the nodes.
  node1 | The first node
  node2 | The second node
Returns: true if node1 one is after node2, or false if it is not.

void DOMServices::terminate ( | )`[static]`

| Destroy static data. After thus function is called, no other functions can be called.

## Member Data Documentation

const XalanDOMString & DOMServices::s_XMLNamespace`[static]`

const XalanDOMString::size_type & DOMServices::s_XMLNamespaceLength`[static]`

const XalanDOMString & DOMServices::s_XMLNamespacePrefix`[static]`

const XalanDOMString::size_type & DOMServices::s_XMLNamespacePrefixLength`[static]`

const XalanDOMString & DOMServices::s_XMLNamespacePrefixURI`[static]`

const XalanDOMString::size_type & DOMServices::s_XMLNamespacePrefixURILength`[static]`

const XalanDOMString & DOMServices::s_XMLNamespaceSeparatorString`[static]`

const XalanDOMString::size_type & DOMServices::s_XMLNamespaceSeparatorStringLength`[static]`

const XalanDOMString & DOMServices::s_XMLNamespaceURI`[static]`

const XalanDOMString::size_type & DOMServices::s_XMLNamespaceURILength`[static]`

const XalanDOMString & DOMServices::s_XMLNamespaceWithSeparator`[static]`

const XalanDOMString::size_type & DOMServices::s_XMLNamespaceWithSeparatorLength`[static]`

const XalanDOMString & DOMServices::s_XMLString`[static]`

const XalanDOMString::size_type & DOMServices::s_XMLStringLength`[static]`

const XalanDOMString & DOMServices::s_XMLStringWithSeparator`[static]`

const XalanDOMString::size_type & DOMServices::s_XMLStringWithSeparatorLength`[static]`

const XalanDOMString DOMServices::s_emptyString`[static]`

The documentation for this class was generated from the following file:

- DOMServices.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.